/**
 * Copyright Zendesk, Inc.
 *
 * Use of this source code is governed under the Apache License, Version 2.0
 * found at http://www.apache.org/licenses/LICENSE-2.0.
 */
import { OptionValue } from './types';
/**
 * Convert Downshift types to Garden.
 *
 * @param downshiftType A Downshift state change type.
 *
 * @returns A preferred Garden type.
 */
export declare const toType: (downshiftType: string) => string;
/**
 * Convert the given option value to a label.
 *
 * @param labels A stored record of label key value pairs.
 * @param value The value to convert to a valid key.
 *
 * @returns A label from the `labels` record based on the given value.
 */
export declare const toLabel: (labels: Record<string, string>, value?: OptionValue) => string;
